---
- entityDefinitions:
  - IDC_ProductColor: '{1c54d1b5-b7f7-4528-9eef-009deb1b6a21}'
  
  - IDI_ProductColor_Red: '{d4303ec3-6136-4aa0-8c49-495894074279}'
  - IDI_ProductColor_Green: '{49bd2063-9871-4460-9007-2254d7b34433}'
  - IDI_ProductColor_Blue: '{b41608ab-89dc-4ee2-a020-a7a42d6c26b4}'
  - IDI_ProductColor_Black: '{df9a14a4-21d1-4dfd-8f75-26bbb8fc051d}'

  - IDA_HexadecimalValue: '{1aa6fdc5-b3fe-46dc-96fd-19d08f0fd7a0}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - textAttribute: '&IDA_HexadecimalValue;'
    name: 'Hexadecimal Value'

  - class: '&IDC_ProductColor;'
    name: 'Product Color'
    index: 22004
    customTagName: 'productColor'
    attributes:
    - instance: '&IDA_Name;'
      customTagName: 'name'
    - instance: '&IDA_HexadecimalValue;'
      customTagName: 'hexadecimalValue'
    defaultTask: '&IDI_Task_ProductColor_View;'
    relatedTasks:
    - instance: '&IDI_Task_ProductColor_View;'
    - instance: '&IDI_Task_ProductColor_Edit;'

  - productColor: '&IDI_ProductColor_Black;'
    name: 'Black'
    hexadecimalValue: '#000000'
  - productColor: '&IDI_ProductColor_Blue;'
    name: 'Blue'
    hexadecimalValue: '#0000FF'
  - productColor: '&IDI_ProductColor_Red;'
    name: 'Red'
    hexadecimalValue: '#FF0000'
  - productColor: '&IDI_ProductColor_Green;'
    name: 'Green'
    hexadecimalValue: '#00CC00'